### TelegramChatDownloader
A CLI program to download a chat from telegram.
##### How to install (linux only)
requirements:
* python3
* [telethon](https://github.com/LonamiWebs/Telethon)
* [TelegramAPI-ID](https://core.telegram.org/api/obtaining_api_id)

install requirements:
```
sudo apt install python3-pip git
pip3 install telethon
```
get the downloader:
```git clone https://github.com/mrbesen/TelegramChatDownloader.git```


open the file config.ini and enter your API ID, hash and username.

Then run:
```
cd TelegramChatDownloader/
./telegramApi.py
```
##### Output Format
The chat structure is stored as "chat.xml" in the folder "out/"
All Media-files are Stored in the folder out/media/

Stickers get downloaded too, but they wont get a file-postfix.
They are stored in the [WEBP](https://de.wikipedia.org/wiki/WebP) format.

A sample chat.xml could look like this:
```
<chat>
  <message>
    <date>1470214908</date>
    <msg>Hi!</msg>
    <me>1</me>
  </message>
  <message>
    <date>1470214882</date>
    <msg>Heyo</msg>
    <me>0</me>
  </message>
  <message>
    <date>1470214756</date>
    <msg>Look</msg>
    <me>1</me>
    <media>0</media>
  </message>
  <message>
    <date>1470070908</date>
    <msg>Thats sick</msg>
    <me>0</me>
  </message>
</chat>
```

